﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Pie 클래스 : Shadow 속성을 사용해 파이 그림자 표시하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Pie pie = new Pie();

            pie.Shadow.Width   = 50;
            pie.Shadow.Height  = 30;
            pie.Shadow.Color   = Color.Silver;
            pie.Shadow.Visible = true;

            pie.FillSampleValues(10);

            this.tChart.Series.Add(pie);
        }

        #endregion
    }
}